---
sidebar_label: GeolocationOptions
---

# GeolocationOptions interface

**Signature:**

```typescript
export interface GeolocationOptions
```

## Properties

| Property                                                 | Modifiers | Type   | Description                                               |
| -------------------------------------------------------- | --------- | ------ | --------------------------------------------------------- |
| [accuracy?](./puppeteer.geolocationoptions.accuracy.md)  |           | number | <i>(Optional)</i> Optional non-negative accuracy value.   |
| [latitude](./puppeteer.geolocationoptions.latitude.md)   |           | number | Longitude between <code>-180</code> and <code>180</code>. |
| [longitude](./puppeteer.geolocationoptions.longitude.md) |           | number | Latitude between <code>-90</code> and <code>90</code>.    |
